Tìm kiếm hỗ trợ

Tránh các lừa đảo về hỗ trợ. Chúng tôi sẽ không bao giờ yêu cầu bạn gọi hoặc nhắn tin đến số điện thoại hoặc chia sẻ thông tin cá nhân. Vui lòng báo cáo hoạt động đáng ngờ bằng cách sử dụng tùy chọn "Báo cáo lạm dụng".

Learn More

Firefox messed up display

  • 3 trả lời
  • 0 gặp vấn đề này
  • 30 lượt xem
  • Trả lời mới nhất được viết bởi brian05

more options

I am using Firefox on Linux. Version is showing as 114.0.2 when I do firefox --version. The display in the Firefox windows is completely messed up. Can't show what I mean as I probably can't get a screenshot. Is this to do with hardware accelerated video? These messages appeared when I tried it from the command line: "[GFX1-]: glxtest: libEGL missing methods for GL test Missing chrome or resource URL: chrome://global/skin/icons/warning-16.png" It starts and then has very high CPU. I had to reboot. I may have added something to the config in the past, using the GUI, but can't remember what I did, maybe to do with the hardware acceleration, thinking I could try seeing if it would work. I tried a few things adding these lines to a user.js file in the profile folder (something I found online):

"user_pref("browser.preferences.defaultPerformanceSettings.enabled", false); user_pref("layers.acceleration.disabled", true");

This has not helped. Is there anything else I can do?

I am using Firefox on Linux. Version is showing as 114.0.2 when I do firefox --version. The display in the Firefox windows is completely messed up. Can't show what I mean as I probably can't get a screenshot. Is this to do with hardware accelerated video? These messages appeared when I tried it from the command line: "[GFX1-]: glxtest: libEGL missing methods for GL test Missing chrome or resource URL: chrome://global/skin/icons/warning-16.png" It starts and then has very high CPU. I had to reboot. I may have added something to the config in the past, using the GUI, but can't remember what I did, maybe to do with the hardware acceleration, thinking I could try seeing if it would work. I tried a few things adding these lines to a user.js file in the profile folder (something I found online): "user_pref("browser.preferences.defaultPerformanceSettings.enabled", false); user_pref("layers.acceleration.disabled", true"); This has not helped. Is there anything else I can do?

Tất cả các câu trả lời (3)

more options

I forgot to say there were some other lines on the output on the command line. I just picked out those as I thought they might be more relevant.

Hữu ích?

more options

Just tried it again and there are many lines like these in the output: [Parent 21804, Main Thread] WARNING: gtk_widget_get_style_context: assertion 'GTK_IS_WIDGET (widget)' failed: 'glib warning', file /builds/worker/checkouts/gecko/toolkit/xre/nsSigHandlers.cpp:167

(firefox:21804): Gtk-CRITICAL **: gtk_widget_get_style_context: assertion 'GTK_IS_WIDGET (widget)' failed [Parent 21804, Main Thread] WARNING: gtk_style_context_get_state: assertion 'GTK_IS_STYLE_CONTEXT (context)' failed: 'glib warning', file /builds/worker/checkouts/gecko/toolkit/xre/nsSigHandlers.cpp:167

(firefox:21804): Gtk-CRITICAL **: gtk_style_context_get_state: assertion 'GTK_IS_STYLE_CONTEXT (context)' failed [Parent 21804, Main Thread] WARNING: gtk_style_context_get_property: assertion 'GTK_IS_STYLE_CONTEXT (context)' failed: 'glib warning', file /builds/worker/checkouts/gecko/toolkit/xre/nsSigHandlers.cpp:167

Hữu ích?

more options

I appear to have fixed this by downloading the latest version. I moved the exist firefox/ folder under /opt. Then moved the new downloaded Firefox to /opt. Used instructions here: https://support.mozilla.org/en-US/kb/install-firefox-linux I am now on Firefox 123.0.

Hữu ích?

Đặt một câu hỏi

Bạn phải đăng nhập vào tài khoản của bạn để trả lời bài viết. Vui lòng bắt đầu một câu hỏi mới, nếu bạn chưa có tài khoản.